<?xml version="1.0" encoding="utf-8"?>
<s:SkinnableContainer xmlns:fx="http://ns.adobe.com/mxml/2009" 
					  xmlns:s="library://ns.adobe.com/flex/spark" 
					  xmlns:mx="library://ns.adobe.com/flex/mx" width="100%" height="100%" minHeight="300" minWidth="400"
					  creationComplete="carregaModulo();" styleName="popSkinable" resize="popUpResize();">
	<s:layout>
		<s:VerticalLayout/>
	</s:layout>
	
	<fx:Style source="../../../../framework/util/estilo.css"/>
	
	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			import mx.managers.PopUpManager;

			public var strModulo:String;
			public var descricao:String;
			
			[Bindable]
			public var ignChildWindowsObj:IgnChildWindowsObj;
			
			public function init(strModulo:String, descricao:String):void
			{
				this.strModulo = strModulo;
				this.descricao = descricao;
			}

			private function closePopUp():void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}

			private function popUpResize():void
			{
				//centerWindow(this);	
			}
			private function carregaModulo():void
			{
				loaderBar.source=mldChildWindow;
				loaderBar.visible=true;
				mldChildWindow.unloadModule();
				mldChildWindow.url = strModulo;
				mldChildWindow.addEventListener("ready", loadTerminado);
				mldChildWindow.loadModule();
				addEventListener(IgnChildWindowsEvents.CHILDWINDOW_DBCLICKED, childDBClickedHandler);
			}
			private function loadTerminado(event:Event):void
			{
				loaderBar.visible=false; 
				var dsvObj:IgnChildWindowsObj = new IgnChildWindowsObj();
				dsvObj.descricao = this.descricao;
				dispatchEvent(new IgnChildWindowsEvents(IgnChildWindowsEvents.CHILDWINDOW_POPUPOPENED, dsvObj));
				mldChildWindow.removeEventListener("ready", loadTerminado);
				mldChildWindow.x = Math.ceil((Capabilities.screenResolutionX - mldChildWindow.width) / 2); 
				mldChildWindow.y = Math.ceil((Capabilities.screenResolutionY - mldChildWindow.height) / 2); 
			}
			private function childDBClickedHandler(event:IgnChildWindowsEvents):void
			{
				var dsvObj:IgnChildWindowsObj = event.childWindows;
				dispatchEvent(new IgnChildWindowsEvents(IgnChildWindowsEvents.CHILDWINDOW_POPUPCLOSED, dsvObj));
				closePopUp();
			}
			
		]]>
	</fx:Script>
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
	</fx:Declarations>
	<s:Group width="100%" height="100%">
		<s:layout>
			<s:VerticalLayout verticalAlign="middle" horizontalAlign="center"/> 
		</s:layout>		
		<s:HGroup width="100%" height="27" horizontalAlign="right" verticalAlign="middle" >
			<s:Label id="lblTitulo" x="2" width="100%" height="100%" text="Formulario PopUP"
					 textAlign="center" verticalAlign="middle"/>
			<s:Button id="btnFechar" styleName="closetab" label="X" click="closePopUp();"/>
		</s:HGroup>
		<s:ModuleLoader width="100%" height="100%" id="mldChildWindow">
		</s:ModuleLoader>
		<mx:ProgressBar id="loaderBar" visible="false" label="Carregando Módulo"
						horizontalCenter="0" verticalCenter="0"/>
	</s:Group>
</s:SkinnableContainer>
